# 63. Mutación: guardar organización

Mutación para añadir o editar la "Organización". El "Usuario" que envió la solicitud saveOrganization será el propietario de la "Organización".

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutación saveOrganizationSample {
  saveOrganization(
    input: {
      name: "Nombre de la organización"
      surname: "Apellido del propietario"
      givenName: "Nombre de pila del propietario"
      email: "owner@gmail.com"
      phone: "+0"
    }
  ) {
    uuid
    name
    apellido
    nombre
    correo electrónico
    teléfono
    fechaCreacion
    updatedDate
  }
}
```

{% endcode %}

Para editar la "Organización" existente, añada el atributo uuid a la solicitud.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutación saveOrganizationSample {
  saveOrganization(
    input: {
      uuid: "<organization_uuid>"
      name: "Nuevo nombre de la organización"
      surname: "Apellido del propietario"
      givenName: "Nombre de pila del propietario"
      email: "owner_info@gmail.com"
      phone: "+0"
    }
  ) {
    uuid
    name
    apellido
    nombre
    correo electrónico
    teléfono
    fechaCreacion
    updatedDate
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/esp/documentacion-de-la-api/resumen-de-solicitudes-de-la-api-de-geopard/63.-mutacion-guardar-organizacion.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
